Package twisted :: Package trial :: Module remote :: Class IRemoteReporter |
[frames | no frames]

## Class IRemoteReporter

    Interface --+
                |
               IRemoteReporter

I am reporting results from a test suite running someplace else.

The interface is mostly identical to reporter.Reporter, the main difference being that where it uses exc_info tuples, I use `failure.Failure`s.

Method Summary
| `remote_reportImportError(self, name, aFailure, times)`
| `remote_reportResults(self, testClass, method, resultType, results, times)`
| `remote_reportStart(self, testClass, method, times)`
| `remote_start(self, expectedTests, times)`
| `remote_stop(self, times)`

Generated by Epydoc 2.0 on Sat Oct 25 00:54:49 2003 | http://epydoc.sf.net